=== debian/changelog ===
eyebot-debugger (5.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Stefan Schmitt <sschmitt@ee.uwa.edu.au>  Sat, 16 Aug 2003 05:26:02 +0000

Local variables:
mode: debian-changelog
End:
