=== debian/control ===
Source: eyebot-debugger
Section: devel
Priority: extra
Maintainer: Stefan Schmitt <sschmitt@ee.uwa.edu.au>
Standards-Version: 3.5.9
Build-Depends: autoconf (>= 2.13), libtool, awk, bzip2, bison, flex, gettext, texinfo, debhelper (>= 3.0), tar (>= 1.13.18), dpatch (>=1.11)

Package: eyebot-debugger
Architecture: i386
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, eyebot-toolchain
Suggests: task-c-devel
Description: Remote background debugger for EyeBot controller.
 This contains gdb, patched up to a fully-featured background debugger.
 After installing this package you have to compile a kernel module for
 interfacing the BDM to the parallel port.
 For rebuilding from source you need the original tarball (see debian/rules
 in the source package).
